in scala.runtime
object ScalaRunTime

`object` ScalaRunTime
  `extends` java.lang.Object
  `with` scala.ScalaObject

Class Summary
`abstract` | `class` Try [a]

Constructor Summary
| `def` this

Val Summary
| `val` BooleanTYPE : java.lang.Class
| `val` BooleanTag : java.lang.String
| `val` ByteTYPE : java.lang.Class
| `val` ByteTag : java.lang.String Names for primitive types, used by array unboxing
| `val` CharTYPE : java.lang.Class
| `val` CharTag : java.lang.String
| `val` DoubleTYPE : java.lang.Class
| `val` DoubleTag : java.lang.String
| `val` FloatTYPE : java.lang.Class
| `val` FloatTag : java.lang.String
| `val` IntTYPE : java.lang.Class
| `val` IntTag : java.lang.String
| `val` LongTYPE : java.lang.Class
| `val` LongTag : java.lang.String
| `val` ShortTYPE : java.lang.Class
| `val` ShortTag : java.lang.String
| `val` UnitTYPE : java.lang.Class

Def Summary
| `def` Seq [a] (xs: a*) : scala.Seq[a]
| `def` Try [a] (block: => a) : scala.runtime.ScalaRunTime.Try[a]
| `def` _equals (x: scala.CaseClass, y: scala.Any) : scala.Boolean
| `def` _hashCode (x: scala.CaseClass) : scala.Int
| `def` _toString (x: scala.CaseClass) : java.lang.String
| `def` arrayValue (x: scala.runtime.BoxedArray, elemClass: java.lang.Class) : java.lang.Object
| `def` arrayValue (x: scala.runtime.BoxedArray, elemTag: java.lang.String) : java.lang.Object
| `def` booleanValue (x: scala.runtime.BoxedBoolean) : scala.Boolean
| `def` boxArray (value: java.lang.Object) : scala.runtime.BoxedArray
| `def` byteValue (x: scala.runtime.BoxedNumber) : scala.Byte
| `def` caseFields (x: scala.CaseClass) : scala.List[scala.Any]
| `def` charValue (x: scala.runtime.BoxedNumber) : scala.Char
| `def` doubleValue (x: scala.runtime.BoxedNumber) : scala.Double
| `def` floatValue (x: scala.runtime.BoxedNumber) : scala.Float
| `def` intValue (x: scala.runtime.BoxedNumber) : scala.Int
| `def` isValueClass (clazz: java.lang.Class) : scala.Boolean
| `def` isValueTag (tag: java.lang.String) : scala.Boolean
| `def` longValue (x: scala.runtime.BoxedNumber) : scala.Long
| `def` shortValue (x: scala.runtime.BoxedNumber) : scala.Short

Constructor Detail

`def` this

Val Detail

`val` BooleanTYPE : java.lang.Class

`val` BooleanTag : java.lang.String

`val` ByteTYPE : java.lang.Class

`val` ByteTag : java.lang.String

  Names for primitive types, used by array unboxing

`val` CharTYPE : java.lang.Class

`val` CharTag : java.lang.String

`val` DoubleTYPE : java.lang.Class

`val` DoubleTag : java.lang.String

`val` FloatTYPE : java.lang.Class

`val` FloatTag : java.lang.String

`val` IntTYPE : java.lang.Class

`val` IntTag : java.lang.String

`val` LongTYPE : java.lang.Class

`val` LongTag : java.lang.String

`val` ShortTYPE : java.lang.Class

`val` ShortTag : java.lang.String

`val` UnitTYPE : java.lang.Class

Def Detail

`def` Seq [a](xs: a*): scala.Seq[a]

`def` Try [a](block: => a): scala.runtime.ScalaRunTime.Try[a]

`def` _equals (x: scala.CaseClass, y: scala.Any): scala.Boolean

`def` _hashCode (x: scala.CaseClass): scala.Int

`def` _toString (x: scala.CaseClass): java.lang.String

`def` arrayValue (x: scala.runtime.BoxedArray, elemClass: java.lang.Class): java.lang.Object

`def` arrayValue (x: scala.runtime.BoxedArray, elemTag: java.lang.String): java.lang.Object

`def` booleanValue (x: scala.runtime.BoxedBoolean): scala.Boolean

`def` boxArray (value: java.lang.Object): scala.runtime.BoxedArray

`def` byteValue (x: scala.runtime.BoxedNumber): scala.Byte

`def` caseFields (x: scala.CaseClass): scala.List[scala.Any]

`def` charValue (x: scala.runtime.BoxedNumber): scala.Char

`def` doubleValue (x: scala.runtime.BoxedNumber): scala.Double

`def` floatValue (x: scala.runtime.BoxedNumber): scala.Float

`def` intValue (x: scala.runtime.BoxedNumber): scala.Int

`def` isValueClass (clazz: java.lang.Class): scala.Boolean

`def` isValueTag (tag: java.lang.String): scala.Boolean

`def` longValue (x: scala.runtime.BoxedNumber): scala.Long

`def` shortValue (x: scala.runtime.BoxedNumber): scala.Short